Subject: [DUG]: TPicture and its stored data.
From: Stacey Verner <[email-masked]>
To: Multiple recipients of list delphi <[email-masked]>
Date: Fri, 2 Nov 2001 15:58:56 +1300

I just found out that a TPicture always stores its data as a bmp.
 
I create an Image and save it as a nice small JPG (80 K), and then load it
into a TPicture on a Delphi form (lets say, a Splash screen) and suddenly
the DFM is 1.3 meg, and the resulting exe is 1.7 meg.
 
Is there any way to get a TPicture to store its data in the raw imported
format?
Is there any other way of doing this (resources?)?
 
I know that I could load the JPG at run time but that means another file to
deliver which could easilty be deleted (especially if the user is anything
like me...).
 
Stacey
 
Stacey Verner             Ph:   +64-9-4154790
Software Developer        Fax:  +64-9-4154791
                          DDI:  +64-9-4154797
CJN Technologies Ltd.     Email: [email-masked]
<mailto:[email-masked]> 
PO Box 302-278, North Harbour, Auckland 1330, New Zealand
12 Piermark Drive, North Harbour, Auckland, New Zealand
Visit our website at http://www.cjntech.co.nz/ <http://www.cjntech.co.nz/>